/*  Copyright 1984 by the Massachusetts Institute of Technology  */
/*  See permission and disclaimer notice in file "notice.h"  */

/* 9/12/87 kevin added NOPORT */

/*
	Copyright Cornell University 1986.  All rights are reserved.

	As of 4/10/86:
	This source file may have no changes from the M.I.T original
	other than this notice; but it has been tested as part of 
	Cornell's Aztec-C port.  See notice.h

*/

#include	<notice.h>

#define NUL	 0x00
#define CTLA 0x01
#define CTLB 0x02
#define CTLC 0x03
#define CTLD 0x04
#define CTLE 0x05
#define CTLF 0x06
#define CTLG 0x07
#define CTLH 0x08
#define CTLI 0x09
#define CTLJ 0x0a
#define CTLK 0x0b
#define CTLL 0x0c
#define CTLM 0x0d
#define CTLN 0x0e
#define CTLO 0x0f
#define CTLP 0x10
#define CTLQ 0x11
#define CTLR 0x12
#define CTLS 0x13
#define CTLT 0x14
#define CTLU 0x15
#define CTLV 0x16
#define CTLW 0x17
#define CTLX 0x18
#define CTLY 0x19
#define CTLZ 0x1a
#define CTLLBRACK 		0x1b
#define CTLBACKSLASH 	0x1c
#define CTLRBRACK		0x1d
#define CTLHAT			0x1e
#define CTLUNDERSCORE	0x1f
#define DEL				0x7f

#define ETX		  3		/* enter key */
#define	BELL	  7		/* bell */
#define	BS		  8		/* back space */
#define	TAB		  9		/* tab */
#define	LF		 10		/* line feed */
#define	CR		 13		/* carriage return */
#define FF		014		/* form feed */
#define	X_ON	021		/* x-on */
#define	X_OFF	023		/* x-off */
#define	ESC		 27		/* escape */
#define	SPACE	 32		/* space */
#define	DELETE	127		/* delete */

/* These are special values that are returned from the keyboard
 * when unusual keys are pressed.
 */

#define	NONE	-1
#define	C_BREAK	-2
#define	F9		-3
#define	F10		-4

extern unsigned pos;

#define	NOPORT	1
	/* no serial port should be opened until keyDown */
